## mingw-w64-sonnet-6.10.0-1.src.tar.zst

=== autotests/CMakeLists.txt ===

include(ECMMarkAsTest)
include(ECMAddTests)

find_package(Qt6Test ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

########### unittests ###############

ecm_add_tests(
 test_filter.cpp
 test_core.cpp
 test_suggest.cpp
 test_settings.cpp
 test_autodetect.cpp
 NAME_PREFIX "sonnet-"
 LINK_LIBRARIES KF6::SonnetCore Qt6::Test
)

ecm_add_tests(
 test_highlighter.cpp
 NAME_PREFIX "sonnet-"
 LINK_LIBRARIES KF6::SonnetUi KF6::SonnetCore Qt6::Test
)

=== src/plugins/voikko/CMakeLists.txt ===
add_library(sonnet_voikko MODULE
    voikkoclient.cpp
    voikkodict.cpp
)

ecm_qt_declare_logging_category(sonnet_voikko
    HEADER voikkodebug.h
    IDENTIFIER SONNET_VOIKKO
    CATEGORY_NAME kf.sonnet.clients.voikko
    OLD_CATEGORY_NAMES sonnet.plugins.voikko
    DESCRIPTION "Sonnet Voikko plugin"
    EXPORT SONNET
)

target_include_directories(sonnet_voikko PRIVATE ${VOIKKO_INCLUDE_DIR})

target_link_libraries(sonnet_voikko PRIVATE KF6::SonnetCore ${VOIKKO_LIBRARIES})

install(TARGETS sonnet_voikko  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/sonnet/)

set(SONNET_BACKEND_FOUND TRUE PARENT_SCOPE)

=== PKGBUILD ===
# Maintainer: Biswapriyo Nath <nathbappai@gmail.com>

source "$(dirname ${BASH_SOURCE[0]})"/../mingw-w64-PKGBUILD-common/kde-frameworks
_realname=sonnet
pkgbase="mingw-w64-${_realname}"
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=6.10.0
pkgrel=1
pkgdesc="Spelling framework for Qt (mingw-w64)"
arch=('any')
mingw_arch=('ucrt64' 'clang64' 'clangarm64')
msys2_references=(
  'archlinux: sonnet'
)
msys2_repository_url='https://invent.kde.org/frameworks/sonnet/'
url='https://community.kde.org/Frameworks/'
license=('spdx:LGPL-2.0-or-later')
depends=(
  "${MINGW_PACKAGE_PREFIX}-qt6-base"
)
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-aspell"
  "${MINGW_PACKAGE_PREFIX}-cc"
  "${MINGW_PACKAGE_PREFIX}-cmake"
  "${MINGW_PACKAGE_PREFIX}-extra-cmake-modules"
  "${MINGW_PACKAGE_PREFIX}-hunspell"
  "${MINGW_PACKAGE_PREFIX}-libvoikko"
  "${MINGW_PACKAGE_PREFIX}-ninja"
  "${MINGW_PACKAGE_PREFIX}-pkgconf"
  "${MINGW_PACKAGE_PREFIX}-qt6-declarative"
  "${MINGW_PACKAGE_PREFIX}-qt6-tools"
)
optdepends=(
  "${MINGW_PACKAGE_PREFIX}-aspell: spell checking via aspell"
  "${MINGW_PACKAGE_PREFIX}-hunspell: spell checking via hunspell"
  "${MINGW_PACKAGE_PREFIX}-libvoikko: Finnish support via Voikko"
  "${MINGW_PACKAGE_PREFIX}-qt6-declarative: QML bindings"
)
groups=("${MINGW_PACKAGE_PREFIX}-kf6")
source=("https://download.kde.org/stable/frameworks/${pkgver%.*}/${_realname}-${pkgver}.tar.xz"{,.sig}
        "001-drop-pre-win7-support.patch")
sha256sums=('99c0bca563594fd115f31f18ad3264770046290c6695ded0d2aa3c2eddb0d4b7'
            'SKIP'
            '659c0db87f436c8c8e90ec5f3afedb04f1c3b68a606f14f64f017484a9c2d86b')
validpgpkeys=(
  'E0A3EB202F8E57528E13E72FD7574483BB57B18D' # Jonathan Esk-Riddell <jr@jriddell.org>
  '90A968ACA84537CC27B99EAF2C8DF587A6D4AAC1' # Nicolas Fella <nicolas.fella@kde.org>
)

prepare() {
  cd "${_realname}-${pkgver}"
  patch -p1 -i "${srcdir}/001-drop-pre-win7-support.patch"
}

build() {
  declare -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  _kde_build_env
  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    "${MINGW_PREFIX}"/bin/cmake.exe \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      "${_KDE_INSTALL_DIRS[@]}" \
      -DBUILD_QCH=OFF \
      -DBUILD_TESTING=OFF \
      "${_extra_config[@]}" \
      -S "${_realname}-${pkgver}" \
      -B "build-${MSYSTEM}"

  "${MINGW_PREFIX}"/bin/cmake.exe --build "build-${MSYSTEM}"
}

package() {
  DESTDIR="${pkgdir}" "${MINGW_PREFIX}"/bin/cmake.exe --install "build-${MSYSTEM}"
}
